vlide help here is a short lisp routine to show you how to change the text value of an attribute this assumes a block named "BlockName" with at least 1 attribute, that is inserted at least once in the drawing (setq SS (ssget "X" (list (cons 0 "INSERT") (cons 2 "BlockName")))) ; find all BlockName blocks in drawing (setq EG (entget (ssname SS 0))) ; get 1st block in selection set (setq A1 (entget (entnext (cdr (assoc -1 EG))))) ; get 1st attribute in block (setq AT (cdr (assoc 1 A1))) ; get text value of attribute (setq NA1 (subst (cons 1 "NewText") (assoc 1 A1) A1)) ; store new text value for attribute (entmod NA1) ; update attribute value (entupd (cdr (assoc -1 EG))) ; redisplay the block with the new attribute value